Navigator Start Error

Probleme bei der Installation?
ReneLE
User
Beiträge: 2
Registriert: Sonntag 7. Januar 2018, 16:36

Navigator Start Error

Beitragvon ReneLE » Sonntag 7. Januar 2018, 16:44

Hallo liebe Gemeinde,

nachdem 3 Wochen nur meine Kinder an meinem MAC (Version 10,11.6) waren ging gestern mein Anaconda nicht mehr. Da ich mich gerade erst in der Lernphase befinde und keine Idee hatte woran es liegen könnte hab ich kurzerhand alles von Anacona gelöscht und mir die aktuelle Version 3.6 neu aufgespielt. Aber bei jedem Startversuch kommt unten stehender Fehler. Und der sagt mir so ziemlich gar nichts. Jetzt hoffe ich das mir jemand helfen kann und sagt was zu machen ist.

Hatte mir kurz vor Weihnachten noch PyCharm CE aufgepielt, könnte es daran liegen?


Traceback (most recent call last):
File "/Users/rene/anaconda3/lib/python3.6/site-packages/psutil/_psosx.py", line 313, in catch_zombie
yield
File "/Users/rene/anaconda3/lib/python3.6/site-packages/psutil/_psosx.py", line 377, in cmdline
return cext.proc_cmdline(self.pid)
ProcessLookupError: [Errno 3] No such process

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/Users/rene/anaconda3/lib/python3.6/site-packages/anaconda_navigator/exceptions.py", line 75, in exception_handler
return_value = func(*args, **kwargs)
File "/Users/rene/anaconda3/lib/python3.6/site-packages/anaconda_navigator/app/start.py", line 113, in start_app
if misc.load_pid() is None: # A stale lock might be around
File "/Users/rene/anaconda3/lib/python3.6/site-packages/anaconda_navigator/utils/misc.py", line 384, in load_pid
cmds = process.cmdline()
File "/Users/rene/anaconda3/lib/python3.6/site-packages/psutil/__init__.py", line 721, in cmdline
return self._proc.cmdline()
File "/Users/rene/anaconda3/lib/python3.6/site-packages/psutil/_psosx.py", line 295, in wrapper
return fun(self, *args, **kwargs)
File "/Users/rene/anaconda3/lib/python3.6/site-packages/psutil/_psosx.py", line 377, in cmdline
return cext.proc_cmdline(self.pid)
File "/Users/rene/anaconda3/lib/python3.6/contextlib.py", line 99, in __exit__
self.gen.throw(type, value, traceback)
File "/Users/rene/anaconda3/lib/python3.6/site-packages/psutil/_psosx.py", line 326, in catch_zombie
raise AccessDenied(proc.pid, proc._name)
psutil.AccessDenied: psutil.AccessDenied (pid=636)
narpfel
User
Beiträge: 141
Registriert: Freitag 20. Oktober 2017, 16:10

Re: Navigator Start Error

Beitragvon narpfel » Sonntag 7. Januar 2018, 16:53

Moin,

ich kenne dein Problem zwar nicht, aber der Anaconda Navigator scheint wohl einen Zombie-Prozess abschießen zu wollen, auf den er keine Zugriffsrechte hat. Möglicherweise, weil eine Lock-Datei existiert (→ `if misc.load_pid() is None: # A stale lock might be around`), die eigentlich nicht mehr da sein soll.

Eine Suche nach „anaconda navigator stale lock“ liefert diesen Bugreport. Anscheinend tritt das Problem öfter auf (über 1400 Duplikate ist schon beeindruckend).

Hilft das?
ReneLE
User
Beiträge: 2
Registriert: Sonntag 7. Januar 2018, 16:36

Re: Navigator Start Error

Beitragvon ReneLE » Sonntag 7. Januar 2018, 17:02

Danke, manschmal sieht man den Wald vor Bäumen nicht. Ein einfaches
sudo bash
anaconda-navigator --reset


hat geholfen

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder